"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var mask_secret_attribute_function_1 = require("../mask-secret-attribute.function");
describe("maskSecretAttribute", function () {
    it("should return null if undefined is passed", function () {
        var result = mask_secret_attribute_function_1.maskSecretAttribute();
        expect(result).toBeNull();
    });
    it("should return null if null is passed", function () {
        var result = mask_secret_attribute_function_1.maskSecretAttribute(null);
        expect(result).toBeNull();
    });
    it("should return \"<secret>\" if a string is passed", function () {
        var password = "1234";
        var result = mask_secret_attribute_function_1.maskSecretAttribute(password);
        expect(result).toBe("<secret>");
    });
});
