import { ArrayMetadata, ModelMetadata } from "../../models";
export declare const deleteSecretAttributesConfig: {
    deleteMaskedSecretAttributesFromArray: typeof deleteMaskedSecretAttributesFromArray;
    deleteMaskedSecretAttributes: typeof deleteMaskedSecretAttributes;
};
export declare function deleteMaskedSecretAttributes<TModel>(payload: {
    readonly model: TModel;
    readonly modelMetadata?: ModelMetadata<TModel>;
}, config?: {
    deleteMaskedSecretAttributesFromArray: typeof deleteMaskedSecretAttributesFromArray;
    deleteMaskedSecretAttributes: typeof deleteMaskedSecretAttributes;
}): TModel;
export declare const deleteMaskedAttributesFromArrayConfig: {
    deleteMaskedSecretAttributesFromArray: typeof deleteMaskedSecretAttributesFromArray;
    deleteMaskedSecretAttributes: typeof deleteMaskedSecretAttributes;
};
export declare function deleteMaskedSecretAttributesFromArray<TArray extends any[]>(payload: {
    readonly array: TArray;
    readonly arrayMetadata?: ArrayMetadata<TArray[0]>;
}, config?: {
    deleteMaskedSecretAttributesFromArray: typeof deleteMaskedSecretAttributesFromArray;
    deleteMaskedSecretAttributes: typeof deleteMaskedSecretAttributes;
}): TArray;
