import { ArrayMetadata, AttributeMetadata, ModelMetadata } from "../../models";
export declare function maskAttribute<TValue>(payload: {
    readonly value: TValue;
    readonly attributeMetadata?: AttributeMetadata<TValue>;
}): TValue;
export declare const maskModelConfig: {
    maskArray: typeof maskArray;
    maskModel: typeof maskModel;
    maskAttribute: typeof maskAttribute;
};
export declare function maskModel<TModel>(payload: {
    readonly model: TModel;
    readonly modelMetadata?: ModelMetadata<TModel>;
}, config?: {
    maskArray: typeof maskArray;
    maskModel: typeof maskModel;
    maskAttribute: typeof maskAttribute;
}): TModel;
export declare const maskArrayConfig: {
    maskArray: typeof maskArray;
    maskModel: typeof maskModel;
    maskAttribute: typeof maskAttribute;
};
export declare function maskArray<TArray extends any[]>(payload: {
    readonly array: TArray;
    readonly arrayMetadata?: ArrayMetadata<TArray[0]>;
}, config?: {
    maskArray: typeof maskArray;
    maskModel: typeof maskModel;
    maskAttribute: typeof maskAttribute;
}): TArray;
