"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMissingAttributeValueError = void 0;
function createMissingAttributeValueError(payload) {
    var value = payload.value;
    var attributePath = payload.attributePath;
    var modelId = payload.modelId;
    var modelType = payload.modelType;
    return {
        title: "Missing attribute value",
        message: "The attribute '" + attributePath + "' is required but '" + value + "' was passed.",
        modelId: modelId, modelType: modelType, attributePath: attributePath
    };
}
exports.createMissingAttributeValueError = createMissingAttributeValueError;
