import { validateModel } from "./validate-model.function";
import { validateAttribute } from "./validate-attribute.function";
import { ArrayMetadata, ModelValidationResult } from "../../models";
export declare const validateArrayConfig: {
    validateArray: typeof validateArray;
    validateModel: typeof validateModel;
    validateAttribute: typeof validateAttribute;
};
export declare function validateArray<TArray extends any[]>(payload: {
    readonly array: TArray;
    readonly attributePath?: string;
    readonly arrayMetadata?: ArrayMetadata<TArray[0]>;
    readonly modelId: string;
    readonly modelType: string;
}, config?: {
    validateArray: typeof validateArray;
    validateModel: typeof validateModel;
    validateAttribute: typeof validateAttribute;
}): ModelValidationResult;
